<!-- basic form start -->
<div class="col-12 mt-5">
	<div class="card">
		<div class="card-body">
			<h4 class="header-title">Ubah Data Pengguna</h4>
			<form action="<?php $_SERVER['PHP_SELF']; ?>" method="post" enctype="multipart/form-data">
				<div class="form-group">
					<?php
					$arrLevel	= array("Kasir","Admin");

# TOMBOL SIMPAN DIKLIK
					if(isset($_POST['btnSimpan']))
					{
						$txtNama		= $_POST['txtNama'];
						$txtUser		= $_POST['txtUser'];
						$cmbLevel		= $_POST['cmbLevel'];

						// $file_foto 		= $_FILES['namaFile']['name'];

# Validasi form, jika kosong sampaikan pesan error
						$pesanError = array();
						if(trim($txtNama)=="") 
						{
							$pesanError[] = "Data <b>Nama User</b> tidak boleh kosong, harus diisi !";		
						}
						if(trim($txtUser)=="") 
						{
							$pesanError[] = "Data <b>User </b> tidak boleh kosong, harus diisi !";		
						}

						if(trim($_POST['cmbLevel'])=="") 
						{
							$pesanError[] = "Data <b>LEVEL</b> tidak boleh kosong, harus diisi !";		
						}
		# JIKA ADA PESAN ERROR DARI VALIDASI
						if (count($pesanError)>=1 )
						{
							echo "<div class='mssgBox'>";
							// echo "<img src='images/attention.png'> <br><hr>";
							$noPesan=0;
							foreach ($pesanError as $indeks=>$pesan_tampil) 
							{ 
								$noPesan++;
								echo "<div class='alert alert-danger alert-dismissible fade show' role='alert'>";
								echo "&nbsp;&nbsp; $noPesan. $pesan_tampil<br>";
								echo "<button type='button' class='close' data-dismiss='alert' aria-label='Close'>";
								echo "<span class='fa fa-times'></span>
								</button>
								</div>";	
							} 
							echo "</div> <br>"; 
						}
						else 
						{
			# SIMPAN DATA KE DATABASE. Jika tidak menemukan pesan error, simpan data ke database			
			// Membaca Kode dari form hidden
							$Kode	= $_POST['txtKode'];

			# SKRIP UNTUK MENYIMPAN FOTO/GAMBAR
							if (empty($_FILES['namaFile']['tmp_name'])) 
							{
				// Jika file baru tidak ada, mama file gambar lama yang dibaca
								$file_foto = $_POST['txtNamaFile'];
							}
							else  
							{
				// Jika file gambar lama ada, akan dihapus
								if(! $_POST['txtNamaFile']=="") 
								{
									if(file_exists("../foto/".$_POST['txtNamaFile'])) 
									{
										unlink("../foto/".$_POST['txtNamaFile']);	
									}
								}

				// Membaca nama file foto/gambar
								$file_foto = $_FILES['namaFile']['name'];
								$file_foto = stripslashes($file_foto);
								$file_foto = str_replace("'","",$file_foto);

				// Simpan gambar
								$file_foto = $Kode.".".$file_foto;
								copy($_FILES['namaFile']['tmp_name'],"../foto/".$file_foto);					
							}

			// Simpan data dari form ke Database
							$mySql	= "UPDATE user SET nama='$txtNama', userid='$txtUser', level='$cmbLevel',foto='$file_foto' WHERE id='".$_POST['txtKode']."'";		
							$myQry	= mysql_query($mySql, $koneksidb) or die ("Gagal query".mysql_error());
							if($myQry)
							{
				// Setelah data disimpan, Refresh
								echo "<meta http-equiv='refresh' content='0; url=?page=Data-User&Act=Sucsses'>";
							}
							exit;
						}	
					}

// Skrip membaca variable dari URL (Kode dikirim dari menu Edit)
					$Kode	= isset($_GET['Kode']) ?  $_GET['Kode'] : $_POST['txtKode']; 

	# TAMPILKAN DATA LOGIN UNTUK DIEDIT
					$mySql 	= "SELECT * FROM user WHERE id='$Kode'";
					$myQry 	= mysql_query($mySql, $koneksidb)  or die ("Query ambil data salah : ".mysql_error());
					$myData = mysql_fetch_array($myQry); 

	# MEMBUAT NILAI DATA PADA FORM
	// Masukkan data ke dalam variabel, supaya bisa dipanggil di Form
					$dataKode		= $myData['id'];
					$dataNama		= isset($_POST['txtNama']) ? 	$_POST['txtNama'] 	: $myData['nama'];
					$dataUser		= isset($_POST['txtUser']) ? 	$_POST['txtUser'] 	: $myData['userid'];
					$dataLevel 		= isset($_POST['cmbLevel']) ?  	$_POST['cmbLevel'] 	: $myData['level'];

					?>



				</div>
				<div class="form-row">
					<div class="col-md-3 mb-3">
						<label for="exampleInputEmail1"><b>ID</b></label>
						<input type="text" class="form-control" name="textfield" placeholder="Masukan User ID" value="<?php echo $dataKode; ?>" readonly="readonly">
						<input name="txtKode" type="hidden" value="<?php echo $dataKode; ?>" />
					</div>
					<div class="col-md-6 mb-3">
						<label for="exampleInputPassword1"><b>Nama Lengkap</b></label>
						<input type="text" class="form-control" name="txtNama" placeholder="Masukan Nama Pengguna" value="<?php echo $dataNama; ?>">
					</div>
					<div class="col-md-3 mb-3">
						<label for="exampleInputPassword1"><b>User ID</b></label>
						<input type="text" class="form-control" name="txtUser" placeholder="Masukan User ID" value="<?php echo $dataUser; ?>" readonly>
					</div>
				</div>

				<div class="form-row">
					<div class="col-md-3 mb-3">
						<label class="col-form-label"><b>Level</b></label>
						<select class="form-control form-control-lg" name="cmbLevel">
							<?php
							foreach ($arrLevel as $index => $value) 
							{
								if ($value==$dataLevel) 
								{
									$cek="selected";
								} else { $cek = ""; }
								echo "<option value='$value' $cek>$value</option>";
							}
							?>
						</select>
					</div>
					<div class="col-md-9 mb-3">
						<label class="col-form-label"><b>Foto</b></label>
						<div class="custom-file">
							<input type="file" class="custom-file-input" name="namaFile">
							<label class="custom-file-label" for="inputGroupFile01">Choose file</label>
							<input name="txtNamaFile" type="hidden" value="<?php echo $myData['foto']; ?>" />
						</div>
					</div>
				</div>
				<button type="submit" class="btn btn-primary col-12" name="btnSimpan"><b>Simpan Data</b></button>
			</form>
		</div>
	</div>
</div>
<!-- basic form end -->